//
//  ResultType.swift
//  Zoom Remote iOS
//
//  Created by Satendra Dagar on 14/07/20.
//  Copyright © 2020 Thomas Miskiewicz. All rights reserved.
//

import Foundation

enum ResultObject {
    case string (String)
    case json   ([String:Any])
    case raw    (Data)
}

extension ResultObject {
    
    init(data:Data) {
        
        if let jsonRes = try? JSONSerialization.jsonObject(with: data, options: []) as? [String: Any]{
            self = .json(jsonRes)
        }
        else if let str = String(data: data, encoding: .utf8){
            self = .string(str)
        }
        else{
            self = .raw(data)
        }
    }
}
