
//  ZoomServices.swift
//  Zoom Remote macOS
//
//  Created by Dariusz Miskiewicz on 19/05/2020.
//  Copyright © 2020 Thomas Miskiewicz. All rights reserved.


import Foundation
import ZoomSDK

class ZoomServices: NSObject {

    static func initAndAuthZoomSDKWithJWT(token:JWTToken,delegate: ZoomSDKAuthDelegate) -> Bool{
        let sdk: ZoomSDK = ZoomSDK.shared()
        sdk.enableDefaultLog(true, fileSize: 50)
        let useCustomizedUI: Bool = false
        
        sdk.initSDK(useCustomizedUI)
        sdk.zoomDomain = AppConstants.zoomSDKKeys.kSDKDomain //zoom.us
        let authService =  ZoomSDK.shared().getAuthService()
        authService?.delegate = delegate
        let authContext = ZoomSDKAuthContext()
        authContext.jwtToken = token.token //setting validated token received from token generator and it is working fine in sample project you provided
        let response = authService!.sdkAuth(authContext)
        if response == ZoomSDKError_Success{
            return true
        }
        return false
    }
}
